Jump to content
TheBB

ownCloud — the private cloud

Recommended Posts

Adapted for Keenetic, the original manual is   here.

Introduction

OwnCloud provides universal access to your files via the web, computer or mobile devices — wherever you are.

Attention

Spoiler

screen_2020-02-05_13-03(OC).png

comment next lines in /opt/share/www/owncloud/index.php after unpack


if (\version_compare(PHP_VERSION, '7.4.0alpha1') !== -1) {
	echo 'This version of ownCloud is not compatible with PHP 7.4<br/>';
	echo 'You are currently running PHP ' . PHP_VERSION . '.';
	return;
}

example before & after


~ # diff -uraN /opt/share/www/owncloud/index.php.orig /opt/share/www/owncloud/index.php
--- /opt/share/www/owncloud/index.php	2020-01-08 20:12:56.000000000 +0300
+++ /opt/share/www/owncloud/index.php	2020-02-05 15:03:02.471994881 +0300
@@ -36,11 +36,11 @@
 }
 
 // Show warning if PHP 7.4 or later is used as ownCloud is not compatible with PHP 7.4
-if (\version_compare(PHP_VERSION, '7.4.0alpha1') !== -1) {
-	echo 'This version of ownCloud is not compatible with PHP 7.4<br/>';
-	echo 'You are currently running PHP ' . PHP_VERSION . '.';
-	return;
-}
+//if (\version_compare(PHP_VERSION, '7.4.0alpha1') !== -1) {
+//	echo 'This version of ownCloud is not compatible with PHP 7.4<br/>';
+//	echo 'You are currently running PHP ' . PHP_VERSION . '.';
+//	return;
+//}
 
 // running oC on Windows is unsupported since 8.1, this has to happen here because
 // is seems that the autoloader on Windows fails later and just throws an exception.

 

Requirements

  • Ability to open TCP81 port to access ownCloud from internet.

Installation

  • Install necessary packages:
opkg install bzip2 curl lighttpd-mod-access lighttpd-mod-fastcgi php7-cgi \
php7-mod-ctype php7-mod-curl php7-mod-dom php7-mod-fileinfo php7-mod-gd php7-mod-iconv \
php7-mod-intl php7-mod-json php7-mod-mbstring php7-mod-openssl php7-mod-pdo-sqlite \
php7-mod-session php7-mod-simplexml php7-mod-sqlite3 php7-mod-xml php7-mod-xmlreader \
php7-mod-xmlwriter php7-mod-zip
  • Download and unpack ownCloud files:
curl https://download.owncloud.org/community/testing/owncloud-10.4.0RC1.tar.bz2 | \
bzip2 -cd | tar -xvC /opt/share/www/
  • Create the file `/opt/etc/lighttpd/conf.d/clouds.conf` and add following strings:
server.port = 81

fastcgi.server = (
  ".php" =>
    ( "localhost" =>
      ( "socket" => "/tmp/php-fcgi.sock",
        "bin-path" => "/opt/bin/php-fcgi",
        "max-procs" => 1,
        "bin-environment" =>
          ( "PHP_FCGI_CHILDREN" => "2",
            "PHP_FCGI_MAX_REQUESTS" => "1000"
          )
        )
     )
 )

$HTTP["url"] =~ "^/owncloud/data/" {
  url.access-deny = ("")
}

$HTTP["url"] =~ "^/owncloud($|/)" {
  dir-listing.activate = "disable"
}
  • Edit /opt/etc/php.ini:
upload_max_filesize = 100M 
post_max_size = 100M 
memory_limit = 32M
  • Start lighttpd:
/opt/etc/init.d/S80lighttpd start

Using Owncloud

Open http://<ip address of device>:81/owncloud and create a new account. You can access your files using the Web interface, or a Desktop/Mobile app.

 

screen_231.pngscreen_232.pngscreen_233.png

Edited by TheBB
updated url, depends, version

Share this post


Link to post
Share on other sites

I tried to use this instruction, but did not succeed. I can install only the php 7.4.1 from OPKG, while the OwnCloud is only compatible with version 7.3 (look at the official website). Upgrading the OwnCloud to version 10.3.2 did not solve the problem, because php 7.4 is still not supported, therefore I take error "This version of ownCloud is not compatible with PHP 7.4". In addition, Google says that there is no way to install an older version of the php packages through the OPKG.

Any ideas what can be done?

Share this post


Link to post
Share on other sites

+ some guys on OpenWrt forum says, it is possible to install custom packages in OPKG by direct download. But I cannot find the right place/link for php 7.3 suitable for Keenetic.

Edited by Michael Khaskelberg

Share this post


Link to post
Share on other sites
  • остановил веб-сервер
  • удалил php 7.4 (ipkg remove ...)
  • скопировал из ссылки все модули PHP версии 7.2.17 в /opt/home
  • opkg install /opt/home/php*
  • сервер старт
  • интерфейс OwnClowd начинает загружаться, но обламывается с ошибкой: "Не установлен PHP-модуль intl."
  • при этом opkg info php7-mod-intl выдает вот что:
Package: php7-mod-intl
Version: 7.4.1-2
Depends: libc, libssp, librt, libpthread, php7, icu
Status: unknown ok not-installed
Section: lang
Architecture: mipsel-3.4
Size: 142429
Filename: php7-mod-intl_7.4.1-2_mipsel-3.4.ipk
Description: Note that this package depends in ICU library which is built without data
 by default. This is to satisfy programs build and run dependencies but to
 keep the installed footprint small on the target system(s).
 However, the data is required to make the ICU library useful - and thus
 directly affects PHPs ICU extension, too - so consider to also
 select/install package 'icu-full-data'.

Package: php7-mod-intl
Version: 7.2.17-2
Depends: libc, libssp, librt, libpthread, php7, icu
Status: install user installed
Architecture: mipsel-3.4
Installed-Time: 1580746741

С какого фига он продолжает писать про 7.4.1 - не понимаю. Команда ниже не помогает:

  • opkg install /opt/home/php7-mod-intl_7.2.17-2_mipsel-3.4.ipk --force-reinstall --force-overwrite --force-downgrade

Чё-то как то грустно.
Попробую NextCloud, может он посговорчивее окажется. 
 

Share this post


Link to post
Share on other sites
On 2/3/2020 at 8:23 PM, Michael Khaskelberg said:

С какого фига он продолжает писать про 7.4.1 - не понимаю. Команда ниже не помогает:

The dependencies are broken.

On 2/3/2020 at 8:23 PM, Michael Khaskelberg said:

opkg install /opt/home/php*

step by step one by one

On 2/3/2020 at 8:23 PM, Michael Khaskelberg said:

Чё-то как то грустно.

"Extra" is a weak device (ну, что поделать)

The first post was updated

Share this post


Link to post
Share on other sites
21 hours ago, TheBB said:

The dependencies are broken.

........

step by step one by one

Too complicated. I don’t see the point. Now testing NextCloud on my NAS - more powerfull, more convenient to set up and tune.

Let's Keenetic be only a router.

Share this post


Link to post
Share on other sites
36 минут назад, Michael Khaskelberg сказал:

Too complicated.

What is too complicated in "Attension" remark? Just open it.

Share this post


Link to post
Share on other sites
13 минуты назад, zyxmon сказал:

What is too complicated in "Attension" remark? Just open it.

Already saw the "Attention". But I see no reason to restore broken dependencies. Either "clean install" or "use NAS".

Considering the fact that NextCloud works on my Extra too slowly, I will not even try the first option.

 

Share this post


Link to post
Share on other sites
Майкл Хаскельберг сказал 2/3/2020 в 8:28 вечера:

NextCloud заработал на php 7.2.17, вопрос решен.

PS тормоза просто космические.

Добрый день. Не могли бы Вы дать ссылку на инструкцию по которой установили Nextcloud.

Спасибо

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...